#!/usr/bin/env python
#
# Room class to keep track of walls and calculate intersections
#
# Author: Joshua Haas

from wall import Wall

class Room:
  
  def __init__(self):
    
    self.walls = []
  
  def num_intersects(self,wall):
    """count number of intersects between the given wall and all walls in this room"""
    
    count = 0
    for w in self.walls:
      if wall.intersects(w):
        count += 1
    
    return count
  
  def addwall(self,x1,y1,x2,y2):
    """add the wall checking for duplicates"""
    
    wall = Wall(x1,y1,x2,y2)
    for w in self.walls:
      if wall==w:
        return
    
    self.walls.append(wall)

  def ft2m(self):
    """convert all walls from ft to meters"""
    
    for w in self.walls:
      w.ft2m()
